package logs

// Common service logs.
const (
	ServingRequest                = "serving request..."
	OperationFinishedSuccessfully = "operation finished successfully"
	OperationFinishedWithError    = "operation finished with error"

	TryingToExecuteInContainer           = "trying to execute in container..."
	CouldNotGetCurrentEpochNumber        = "could not get current epoch number"
	ProcessEpoch                         = "process epoch"
	ProcessingNode                       = "processing node..."
	NoMoreNodesAbortPlacementIteration   = "no more nodes, abort placement iteration"
	InterruptPlacementIterationByContext = "interrupt placement iteration by context"

	Notification = "notification"
)

const (
	InnerringNonalphabetModeDoNotStopContainerEstimations                   = "non-alphabet mode, do not stop container estimations"                      // Debug in ../node/pkg/innerring/blocktimer.go
	InnerringCantStopEpochEstimation                                        = "can't stop epoch estimation"                                               // Warn in ../node/pkg/innerring/blocktimer.go
	InnerringCantMakeNotaryDepositInMainChain                               = "can't make notary deposit in main chain"                                   // Error in ../node/pkg/innerring/notary.go
	InnerringCantMakeNotaryDepositInSideChain                               = "can't make notary deposit in side chain"                                   // Error in ../node/pkg/innerring/notary.go
	InnerringNotaryDepositHasAlreadyBeenMade                                = "notary deposit has already been made"                                      // Info in ../node/pkg/innerring/notary.go
	InnerringCantGetInnerRingIndex                                          = "can't get inner ring index"                                                // Error in ../node/pkg/innerring/state.go
	InnerringCantGetInnerRingSize                                           = "can't get inner ring size"                                                 // Error in ../node/pkg/innerring/state.go
	InnerringCantGetAlphabetIndex                                           = "can't get alphabet index"                                                  // Error in ../node/pkg/innerring/state.go
	InnerringIgnoreValidatorVoteNodeNotInAlphabetRange                      = "ignore validator vote: node not in alphabet range"                         // Info in ../node/pkg/innerring/state.go
	InnerringIgnoreValidatorVoteEmptyValidatorsList                         = "ignore validator vote: empty validators list"                              // Info in ../node/pkg/innerring/state.go
	InnerringCantInvokeVoteMethodInAlphabetContract                         = "can't invoke vote method in alphabet contract"                             // Warn in ../node/pkg/innerring/state.go
	InnerringCantGetLastProcessedMainChainBlockNumber                       = "can't get last processed main chain block number"                          // Warn in ../node/pkg/innerring/initialization.go
	InnerringNotarySupport                                                  = "notary support"                                                            // Info in ../node/pkg/innerring/initialization.go
	InnerringAlphabetKeysSyncIsDisabled                                     = "alphabet keys sync is disabled"                                            // Debug in ../node/pkg/innerring/initialization.go
	InnerringNoControlServerEndpointSpecified                               = "no Control server endpoint specified, service is disabled"                 // Info in ../node/pkg/innerring/initialization.go
	InnerringCantGetLastProcessedSideChainBlockNumber                       = "can't get last processed side chain block number"                          // Warn in ../node/pkg/innerring/initialization.go
	InnerringFailedToSetGroupSignerScope                                    = "failed to set group signer scope, continue with Global"                    // Info in ../node/pkg/innerring/initialization.go
	InnerringCantVoteForPreparedValidators                                  = "can't vote for prepared validators"                                        // Warn in ../node/pkg/innerring/innerring.go
	InnerringNewBlock                                                       = "new block"                                                                 // Debug in ../node/pkg/innerring/innerring.go
	InnerringCantUpdatePersistentState                                      = "can't update persistent state"                                             // Warn in ../node/pkg/innerring/innerring.go
	InnerringCloserError                                                    = "closer error"                                                              // Warn in ../node/pkg/innerring/innerring.go
	InnerringReadConfigFromBlockchain                                       = "read config from blockchain"                                               // Debug in ../node/pkg/innerring/innerring.go
	NotificatorNotificatorStartProcessingObjectNotifications                = "notificator: start processing object notifications"                        // Debug in ../node/pkg/services/notificator/service.go
	NotificatorNotificatorProcessingObjectNotification                      = "notificator: processing object notification"                               // Debug in ../node/pkg/services/notificator/service.go
	PolicerCouldNotGetContainer                                             = "could not get container"                                                   // Error in ../node/pkg/services/policer/check.go
	PolicerCouldNotInhumeObjectWithMissingContainer                         = "could not inhume object with missing container"                            // Error in ../node/pkg/services/policer/check.go
	PolicerCouldNotBuildPlacementVectorForObject                            = "could not build placement vector for object"                               // Error in ../node/pkg/services/policer/check.go
	PolicerRedundantLocalObjectCopyDetected                                 = "redundant local object copy detected"                                      // Info in ../node/pkg/services/policer/check.go
	PolicerReceiveObjectHeaderToCheckPolicyCompliance                       = "receive object header to check policy compliance"                          // Error in ../node/pkg/services/policer/check.go
	PolicerConsiderNodeUnderMaintenanceAsOK                                 = "consider node under maintenance as OK"                                     // Debug in ../node/pkg/services/policer/check.go
	PolicerShortageOfObjectCopiesDetected                                   = "shortage of object copies detected"                                        // Debug in ../node/pkg/services/policer/check.go
	PolicerSomeOfTheCopiesAreStoredOnNodesUnderMaintenance                  = "some of the copies are stored on nodes under maintenance, save local copy" // Debug in ../node/pkg/services/policer/check.go
	PolicerRoutineStopped                                                   = "routine stopped"                                                           // Info in ../node/pkg/services/policer/process.go
	PolicerFailureAtObjectSelectForReplication                              = "failure at object select for replication"                                  // Warn in ../node/pkg/services/policer/process.go
	PolicerPoolSubmission                                                   = "pool submission"                                                           // Warn in ../node/pkg/services/policer/process.go
	PolicerTuneReplicationCapacity                                          = "tune replication capacity"                                                 // Debug in ../node/pkg/services/policer/process.go
	ReplicatorFinishWork                                                    = "finish work"                                                               // Debug in ../node/pkg/services/replicator/process.go
	ReplicatorCouldNotGetObjectFromLocalStorage                             = "could not get object from local storage"                                   // Error in ../node/pkg/services/replicator/process.go
	ReplicatorCouldNotReplicateObject                                       = "could not replicate object"                                                // Error in ../node/pkg/services/replicator/process.go
	ReplicatorObjectSuccessfullyReplicated                                  = "object successfully replicated"                                            // Debug in ../node/pkg/services/replicator/process.go
	TreeRedirectingTreeServiceQuery                                         = "redirecting tree service query"                                            // Debug in ../node/pkg/services/tree/redirect.go
	TreeBearerPresentedButNotAllowedByACL                                   = "bearer presented but not allowed by ACL"                                   // Debug in ../node/pkg/services/tree/signature.go
	TreeCouldNotGetLastSynchronizedHeightForATree                           = "could not get last synchronized height for a tree"                         // Warn in ../node/pkg/services/tree/sync.go
	TreeCouldNotUpdateLastSynchronizedHeightForATree                        = "could not update last synchronized height for a tree"                      // Warn in ../node/pkg/services/tree/sync.go
	TreeSynchronizeTree                                                     = "synchronize tree"                                                          // Debug in ../node/pkg/services/tree/sync.go
	TreeFailedToRunTreeSynchronizationOverAllNodes                          = "failed to run tree synchronization over all nodes"                         // Warn in ../node/pkg/services/tree/sync.go
	TreeSyncingTrees                                                        = "syncing trees..."                                                          // Debug in ../node/pkg/services/tree/sync.go
	TreeCouldNotFetchContainers                                             = "could not fetch containers"                                                // Error in ../node/pkg/services/tree/sync.go
	TreeTreesHaveBeenSynchronized                                           = "trees have been synchronized"                                              // Debug in ../node/pkg/services/tree/sync.go
	TreeSyncingContainerTrees                                               = "syncing container trees..."                                                // Debug in ../node/pkg/services/tree/sync.go
	TreeCouldNotSyncTrees                                                   = "could not sync trees"                                                      // Error in ../node/pkg/services/tree/sync.go
	TreeContainerTreesHaveBeenSynced                                        = "container trees have been synced"                                          // Debug in ../node/pkg/services/tree/sync.go
	TreeCouldNotQueryTreesForSynchronization                                = "could not query trees for synchronization"                                 // Error in ../node/pkg/services/tree/sync.go
	TreeRemovingRedundantTrees                                              = "removing redundant trees..."                                               // Debug in ../node/pkg/services/tree/sync.go
	TreeCouldNotRemoveRedundantTree                                         = "could not remove redundant tree"                                           // Error in ../node/pkg/services/tree/sync.go
	TreeCouldNotCalculateContainerNodes                                     = "could not calculate container nodes"                                       // Error in ../node/pkg/services/tree/sync.go
	TreeFailedToApplyReplicatedOperation                                    = "failed to apply replicated operation"                                      // Error in ../node/pkg/services/tree/replicator.go
	TreeDoNotSendUpdateToTheNode                                            = "do not send update to the node"                                            // Debug in ../node/pkg/services/tree/replicator.go
	TreeFailedToSentUpdateToTheNode                                         = "failed to sent update to the node"                                         // Warn in ../node/pkg/services/tree/replicator.go
	TreeErrorDuringReplication                                              = "error during replication"                                                  // Error in ../node/pkg/services/tree/replicator.go
	PersistentCouldNotGetSessionFromPersistentStorage                       = "could not get session from persistent storage"                             // Error in ../node/pkg/services/session/storage/persistent/storage.go
	PersistentCouldNotDeleteSToken                                          = "could not delete token"                                                    // Error in ../node/pkg/services/session/storage/persistent/storage.go
	PersistentCouldNotCleanUpExpiredTokens                                  = "could not clean up expired tokens"                                         // Error in ../node/pkg/services/session/storage/persistent/storage.go
	ControllerReportIsAlreadyStarted                                        = "report is already started"                                                 // Debug in ../node/pkg/services/container/announcement/load/controller/calls.go
	TombstoneCouldNotGetTheTombstoneTheSource                               = "tombstone getter: could not get the tombstone the source"                  // Warn in ../node/pkg/services/object_manager/tombstone/checker.go
	DeleteRequestIsNotRolledOverToTheContainer                              = "request is not rolled over to the container"                               // Debug in ../node/pkg/services/object/delete/container.go
	DeleteCouldNotComposeSplitInfo                                          = "could not compose split info"                                              // Debug in ../node/pkg/services/object/delete/exec.go
	DeleteNoSplitInfoObjectIsPHY                                            = "no split info, object is PHY"                                              // Debug in ../node/pkg/services/object/delete/exec.go
	DeleteAssemblingChain                                                   = "assembling chain..."                                                       // Debug in ../node/pkg/services/object/delete/exec.go
	DeleteCouldNotGetPreviousSplitElement                                   = "could not get previous split element"                                      // Debug in ../node/pkg/services/object/delete/exec.go
	DeleteCollectingChildren                                                = "collecting children..."                                                    // Debug in ../node/pkg/services/object/delete/exec.go
	DeleteCouldNotCollectObjectChildren                                     = "could not collect object children"                                         // Debug in ../node/pkg/services/object/delete/exec.go
	DeleteSupplementBySplitID                                               = "supplement by split ID"                                                    // Debug in ../node/pkg/services/object/delete/exec.go
	DeleteCouldNotSearchForSplitChainMembers                                = "could not search for split chain members"                                  // Debug in ../node/pkg/services/object/delete/exec.go
	DeleteCouldNotMarshalTombstoneStructure                                 = "could not marshal tombstone structure"                                     // Debug in ../node/pkg/services/object/delete/exec.go
	DeleteCouldNotSaveTheTombstone                                          = "could not save the tombstone"                                              // Debug in ../node/pkg/services/object/delete/exec.go
	DeleteFormingTombstoneStructure                                         = "forming tombstone structure..."                                            // Debug in ../node/pkg/services/object/delete/local.go
	DeleteTombstoneStructureSuccessfullyFormedSaving                        = "tombstone structure successfully formed, saving..."                        // Debug in ../node/pkg/services/object/delete/local.go
	DeleteCouldNotReadTombstoneLifetimeConfig                               = "could not read tombstone lifetime config"                                  // Debug in ../node/pkg/services/object/delete/local.go
	DeleteFormingSplitInfo                                                  = "forming split info..."                                                     // Debug in ../node/pkg/services/object/delete/local.go
	DeleteSplitInfoSuccessfullyFormedCollectingMembers                      = "split info successfully formed, collecting members..."                     // Debug in ../node/pkg/services/object/delete/local.go
	DeleteMembersSuccessfullyCollected                                      = "members successfully collected"                                            // Debug in ../node/pkg/services/object/delete/local.go
	GetRemoteCallFailed                                                     = "remote call failed"                                                        // Debug in ../node/pkg/services/object/get/remote.go
	GetCanNotAssembleTheObject                                              = "can not assemble the object"                                               // Debug in ../node/pkg/services/object/get/assemble.go
	GetTryingToAssembleTheObject                                            = "trying to assemble the object..."                                          // Debug in ../node/pkg/services/object/get/assemble.go
	GetAssemblingSplittedObject                                             = "assembling splitted object..."                                             // Debug in ../node/pkg/services/object/get/assemble.go
	GetAssemblingSplittedObjectCompleted                                    = "assembling splitted object completed"                                      // Debug in ../node/pkg/services/object/get/assemble.go
	GetFailedToAssembleSplittedObject                                       = "failed to assemble splitted object"                                        // Warn in ../node/pkg/services/object/get/assemble.go
	GetCouldNotGenerateContainerTraverser                                   = "could not generate container traverser"                                    // Debug in ../node/pkg/services/object/get/exec.go
	GetCouldNotConstructRemoteNodeClient                                    = "could not construct remote node client"                                    // Debug in ../node/pkg/services/object/get/exec.go
	GetCouldNotWriteHeader                                                  = "could not write header"                                                    // Debug in ../node/pkg/services/object/get/exec.go
	GetCouldNotWritePayloadChunk                                            = "could not write payload chunk"                                             // Debug in ../node/pkg/services/object/get/exec.go
	GetLocalGetFailed                                                       = "local get failed"                                                          // Debug in ../node/pkg/services/object/get/local.go
	GetReturnResultDirectly                                                 = "return result directly"                                                    // Debug in ../node/pkg/services/object/get/container.go
	GetCompletingTheOperation                                               = "completing the operation"                                                  // Debug in ../node/pkg/services/object/get/container.go
	GetRequestedObjectWasMarkedAsRemoved                                    = "requested object was marked as removed"                                    // Debug in ../node/pkg/services/object/get/get.go
	GetRequestedObjectIsVirtual                                             = "requested object is virtual"                                               // Debug in ../node/pkg/services/object/get/get.go
	GetRequestedRangeIsOutOfObjectBounds                                    = "requested range is out of object bounds"                                   // Debug in ../node/pkg/services/object/get/get.go
	PutAdditionalContainerBroadcastFailure                                  = "additional container broadcast failure"                                    // Error in ../node/pkg/services/object/put/distributed.go
	SearchReturnResultDirectly                                              = "return result directly"                                                    // Debug in ../node/pkg/services/object/search/container.go
	SearchCouldNotConstructRemoteNodeClient                                 = "could not construct remote node client"                                    // Debug in ../node/pkg/services/object/search/container.go
	SearchRemoteOperationFailed                                             = "remote operation failed"                                                   // Debug in ../node/pkg/services/object/search/container.go
	SearchCouldNotGenerateContainerTraverser                                = "could not generate container traverser"                                    // Debug in ../node/pkg/services/object/search/exec.go
	SearchCouldNotWriteObjectIdentifiers                                    = "could not write object identifiers"                                        // Debug in ../node/pkg/services/object/search/exec.go
	SearchLocalOperationFailed                                              = "local operation failed"                                                    // Debug in ../node/pkg/services/object/search/local.go
	UtilObjectServiceError                                                  = "object service error"                                                      // Error in ../node/pkg/services/object/util/log.go
	UtilCouldNotPushTaskToWorkerPool                                        = "could not push task to worker pool"                                        // Error in ../node/pkg/services/object/util/log.go
	V2CantCheckIfRequestFromInnerRing                                       = "can't check if request from inner ring"                                    // Debug in ../node/pkg/services/object/acl/v2/classifier.go
	V2CantCheckIfRequestFromContainerNode                                   = "can't check if request from container node"                                // Debug in ../node/pkg/services/object/acl/v2/classifier.go
	NatsNatsConnectionWasLost                                               = "nats: connection was lost"                                                 // Error in ../node/pkg/services/notificator/nats/service.go
	NatsNatsReconnectedToTheServer                                          = "nats: reconnected to the server"                                           // Warn in ../node/pkg/services/notificator/nats/service.go
	NatsNatsClosingConnectionAsTheContextIsDone                             = "nats: closing connection as the context is done"                           // Info in ../node/pkg/services/notificator/nats/service.go
	ControllerStartingToAnnounceTheValuesOfTheMetrics                       = "starting to announce the values of the metrics"                            // Debug in ../node/pkg/services/container/announcement/load/controller/calls.go
	ControllerCouldNotInitializeIteratorOverLocallyCollectedMetrics         = "could not initialize iterator over locally collected metrics"              // Debug in ../node/pkg/services/container/announcement/load/controller/calls.go
	ControllerCouldNotInitializeAnnouncementAccumulator                     = "could not initialize announcement accumulator"                             // Debug in ../node/pkg/services/container/announcement/load/controller/calls.go
	ControllerIteratorOverLocallyCollectedMetricsAborted                    = "iterator over locally collected metrics aborted"                           // Debug in ../node/pkg/services/container/announcement/load/controller/calls.go
	ControllerCouldNotFinishWritingLocalAnnouncements                       = "could not finish writing local announcements"                              // Debug in ../node/pkg/services/container/announcement/load/controller/calls.go
	ControllerTrustAnnouncementSuccessfullyFinished                         = "trust announcement successfully finished"                                  // Debug in ../node/pkg/services/container/announcement/load/controller/calls.go
	ControllerAnnouncementIsAlreadyStarted                                  = "announcement is already started"                                           // Debug in ../node/pkg/services/container/announcement/load/controller/calls.go
	ControllerAnnouncementSuccessfullyInterrupted                           = "announcement successfully interrupted"                                     // Debug in ../node/pkg/services/container/announcement/load/controller/calls.go
	ControllerAnnouncementIsNotStartedOrAlreadyInterrupted                  = "announcement is not started or already interrupted"                        // Debug in ../node/pkg/services/container/announcement/load/controller/calls.go
	ControllerCouldNotInitializeIteratorOverLocallyAccumulatedAnnouncements = "could not initialize iterator over locally accumulated announcements"      // Debug in ../node/pkg/services/container/announcement/load/controller/calls.go
	ControllerCouldNotInitializeResultTarget                                = "could not initialize result target"                                        // Debug in ../node/pkg/services/container/announcement/load/controller/calls.go
	ControllerIteratorOverLocalAnnouncementsAborted                         = "iterator over local announcements aborted"                                 // Debug in ../node/pkg/services/container/announcement/load/controller/calls.go
	ControllerCouldNotFinishWritingLoadEstimations                          = "could not finish writing load estimations"                                 // Debug in ../node/pkg/services/container/announcement/load/controller/calls.go
	RouteCouldNotInitializeWriterProvider                                   = "could not initialize writer provider"                                      // Debug in ../node/pkg/services/container/announcement/load/route/calls.go
	RouteCouldNotInitializeWriter                                           = "could not initialize writer"                                               // Debug in ../node/pkg/services/container/announcement/load/route/calls.go
	RouteCouldNotPutTheValue                                                = "could not put the value"                                                   // Debug in ../node/pkg/services/container/announcement/load/route/calls.go
	RouteCouldNotCloseRemoteServerWriter                                    = "could not close remote server writer"                                      // Debug in ../node/pkg/services/container/announcement/load/route/calls.go
	ClientCouldNotRestoreBlockSubscriptionAfterRPCSwitch                    = "could not restore block subscription after RPC switch"                     // Error in ../node/pkg/morph/client/notifications.go
	ClientCouldNotRestoreNotificationSubscriptionAfterRPCSwitch             = "could not restore notification subscription after RPC switch"              // Error in ../node/pkg/morph/client/notifications.go
	ClientCouldNotRestoreNotaryNotificationSubscriptionAfterRPCSwitch       = "could not restore notary notification subscription after RPC switch"       // Error in ../node/pkg/morph/client/notifications.go
	ClientCouldNotEstablishConnectionToTheSwitchedRPCNode                   = "could not establish connection to the switched RPC node"                   // Warn in ../node/pkg/morph/client/multi.go
	ClientConnectionToTheNewRPCNodeHasBeenEstablished                       = "connection to the new RPC node has been established"                       // Info in ../node/pkg/morph/client/multi.go
	ClientSwitchingToTheNextRPCNode                                         = "switching to the next RPC node"                                            // Warn in ../node/pkg/morph/client/multi.go
	ClientCouldNotEstablishConnectionToAnyRPCNode                           = "could not establish connection to any RPC node"                            // Error in ../node/pkg/morph/client/multi.go
	ClientCouldNotCreateClientToTheHigherPriorityNode                       = "could not create client to the higher priority node"                       // Warn in ../node/pkg/morph/client/multi.go
	ClientSwitchedToTheHigherPriorityRPC                                    = "switched to the higher priority RPC"                                       // Info in ../node/pkg/morph/client/multi.go
	ClientCouldNotRestoreSideChainSubscriptionsUsingNode                    = "could not restore side chain subscriptions using node"                     // Warn in ../node/pkg/morph/client/multi.go
	ClientNotaryDepositHasAlreadyBeenMade                                   = "notary deposit has already been made"                                      // Info in ../node/pkg/morph/client/notary.go
	ClientNotaryDepositInvoke                                               = "notary deposit invoke"                                                     // Info in ../node/pkg/morph/client/notary.go
	ClientNotaryRequestWithPreparedMainTXInvoked                            = "notary request with prepared main TX invoked"                              // Debug in ../node/pkg/morph/client/notary.go
	ClientNotaryRequestInvoked                                              = "notary request invoked"                                                    // Debug in ../node/pkg/morph/client/notary.go
	ClientNeoClientInvoke                                                   = "neo client invoke"                                                         // Debug in ../node/pkg/morph/client/client.go
	ClientNativeGasTransferInvoke                                           = "native gas transfer invoke"                                                // Debug in ../node/pkg/morph/client/client.go
	ClientBatchGasTransferInvoke                                            = "batch gas transfer invoke"                                                 // Debug in ../node/pkg/morph/client/client.go
	ClientCantGetBlockchainHeight                                           = "can't get blockchain height"                                               // Error in ../node/pkg/morph/client/client.go
	ClientCantGetBlockchainHeight243                                        = "can't get blockchain height"                                               // Error in ../node/pkg/morph/client/client.go
	EventCouldNotSubmitHandlerToWorkerPool                                  = "could not Submit handler to worker pool"                                   // Warn in ../node/pkg/morph/event/utils.go
	EventCouldNotStartListenToEvents                                        = "could not start listen to events"                                          // Error in ../node/pkg/morph/event/listener.go
	EventStopEventListenerByError                                           = "stop event listener by error"                                              // Error in ../node/pkg/morph/event/listener.go
	EventStopEventListenerByContext                                         = "stop event listener by context"                                            // Info in ../node/pkg/morph/event/listener.go
	EventStopEventListenerByNotificationChannel                             = "stop event listener by notification channel"                               // Warn in ../node/pkg/morph/event/listener.go
	EventNilNotificationEventWasCaught                                      = "nil notification event was caught"                                         // Warn in ../node/pkg/morph/event/listener.go
	EventStopEventListenerByNotaryChannel                                   = "stop event listener by notary channel"                                     // Warn in ../node/pkg/morph/event/listener.go
	EventNilNotaryEventWasCaught                                            = "nil notary event was caught"                                               // Warn in ../node/pkg/morph/event/listener.go
	EventStopEventListenerByBlockChannel                                    = "stop event listener by block channel"                                      // Warn in ../node/pkg/morph/event/listener.go
	EventNilBlockWasCaught                                                  = "nil block was caught"                                                      // Warn in ../node/pkg/morph/event/listener.go
	EventListenerWorkerPoolDrained                                          = "listener worker pool drained"                                              // Warn in ../node/pkg/morph/event/listener.go
	EventEventParserNotSet                                                  = "event parser not set"                                                      // Debug in ../node/pkg/morph/event/listener.go
	EventCouldNotParseNotificationEvent                                     = "could not parse notification event"                                        // Warn in ../node/pkg/morph/event/listener.go
	EventNotificationHandlersForParsedNotificationEventWereNotRegistered    = "notification handlers for parsed notification event were not registered"   // Info in ../node/pkg/morph/event/listener.go
	EventSkipExpiredMainTXNotaryEvent                                       = "skip expired main TX notary event"                                         // Warn in ../node/pkg/morph/event/listener.go
	EventCouldNotPrepareAndValidateNotaryEvent                              = "could not prepare and validate notary event"                               // Warn in ../node/pkg/morph/event/listener.go
	EventNotaryParserNotSet                                                 = "notary parser not set"                                                     // Debug in ../node/pkg/morph/event/listener.go
	EventCouldNotParseNotaryEvent                                           = "could not parse notary event"                                              // Warn in ../node/pkg/morph/event/listener.go
	EventNotaryHandlersForParsedNotificationEventWereNotRegistered          = "notary handlers for parsed notification event were not registered"         // Info in ../node/pkg/morph/event/listener.go
	EventIgnoreNilEventParser                                               = "ignore nil event parser"                                                   // Info in ../node/pkg/morph/event/listener.go
	EventListenerHasBeenAlreadyStartedIgnoreParser                          = "listener has been already started, ignore parser"                          // Warn in ../node/pkg/morph/event/listener.go
	EventRegisteredNewEventParser                                           = "registered new event parser"                                               // Debug in ../node/pkg/morph/event/listener.go
	EventIgnoreNilEventHandler                                              = "ignore nil event handler"                                                  // Warn in ../node/pkg/morph/event/listener.go
	EventIgnoreHandlerOfEventWoParser                                       = "ignore handler of event w/o parser"                                        // Warn in ../node/pkg/morph/event/listener.go
	EventRegisteredNewEventHandler                                          = "registered new event handler"                                              // Debug in ../node/pkg/morph/event/listener.go
	EventIgnoreNilNotaryEventParser                                         = "ignore nil notary event parser"                                            // Info in ../node/pkg/morph/event/listener.go
	EventListenerHasBeenAlreadyStartedIgnoreNotaryParser                    = "listener has been already started, ignore notary parser"                   // Warn in ../node/pkg/morph/event/listener.go
	EventIgnoreNilNotaryEventHandler                                        = "ignore nil notary event handler"                                           // Warn in ../node/pkg/morph/event/listener.go
	EventIgnoreHandlerOfNotaryEventWoParser                                 = "ignore handler of notary event w/o parser"                                 // Warn in ../node/pkg/morph/event/listener.go
	EventIgnoreNilBlockHandler                                              = "ignore nil block handler"                                                  // Warn in ../node/pkg/morph/event/listener.go
	SubscriberRemoteNotificationChannelHasBeenClosed                        = "remote notification channel has been closed"                               // Warn in ../node/pkg/morph/subscriber/subscriber.go
	SubscriberCantCastNotifyEventValueToTheNotifyStruct                     = "can't cast notify event value to the notify struct"                        // Error in ../node/pkg/morph/subscriber/subscriber.go
	SubscriberNewNotificationEventFromSidechain                             = "new notification event from sidechain"                                     // Debug in ../node/pkg/morph/subscriber/subscriber.go
	SubscriberCantCastBlockEventValueToBlock                                = "can't cast block event value to block"                                     // Error in ../node/pkg/morph/subscriber/subscriber.go
	SubscriberCantCastNotifyEventValueToTheNotaryRequestStruct              = "can't cast notify event value to the notary request struct"                // Error in ../node/pkg/morph/subscriber/subscriber.go
	SubscriberUnsupportedNotificationFromTheChain                           = "unsupported notification from the chain"                                   // Debug in ../node/pkg/morph/subscriber/subscriber.go
	BlobovniczaCreatingDirectoryForBoltDB                                   = "creating directory for BoltDB"                                             // Debug in ../node/pkg/local_object_storage/blobovnicza/control.go
	BlobovniczaOpeningBoltDB                                                = "opening BoltDB"                                                            // Debug in ../node/pkg/local_object_storage/blobovnicza/control.go
	BlobovniczaInitializing                                                 = "initializing..."                                                           // Debug in ../node/pkg/local_object_storage/blobovnicza/control.go
	BlobovniczaAlreadyInitialized                                           = "already initialized"                                                       // Debug in ../node/pkg/local_object_storage/blobovnicza/control.go
	BlobovniczaCreatingBucketForSizeRange                                   = "creating bucket for size range"                                            // Debug in ../node/pkg/local_object_storage/blobovnicza/control.go
	BlobovniczaClosingBoltDB                                                = "closing BoltDB"                                                            // Debug in ../node/pkg/local_object_storage/blobovnicza/control.go
	BlobovniczaObjectWasRemovedFromBucket                                   = "object was removed from bucket"                                            // Debug in ../node/pkg/local_object_storage/blobovnicza/delete.go
	BlobstorOpening                                                         = "opening..."                                                                // Debug in ../node/pkg/local_object_storage/blobstor/control.go
	BlobstorInitializing                                                    = "initializing..."                                                           // Debug in ../node/pkg/local_object_storage/blobstor/control.go
	BlobstorClosing                                                         = "closing..."                                                                // Debug in ../node/pkg/local_object_storage/blobstor/control.go
	BlobstorCouldntCloseStorage                                             = "couldn't close storage"                                                    // Info in ../node/pkg/local_object_storage/blobstor/control.go
	BlobstorErrorOccurredDuringObjectExistenceChecking                      = "error occurred during object existence checking"                           // Warn in ../node/pkg/local_object_storage/blobstor/exists.go
	BlobstorErrorOccurredDuringTheIteration                                 = "error occurred during the iteration"                                       // Warn in ../node/pkg/local_object_storage/blobstor/iterate.go
	EngineShardHasBeenRemoved                                               = "shard has been removed"                                                    // Info in ../node/pkg/local_object_storage/engine/shards.go
	EngineCouldNotCloseRemovedShard                                         = "could not close removed shard"                                             // Error in ../node/pkg/local_object_storage/engine/shards.go
	EngineCouldNotOpenShardClosingAndSkipping                               = "could not open shard, closing and skipping"                                // Error in ../node/pkg/local_object_storage/engine/control.go
	EngineCouldNotClosePartiallyInitializedShard                            = "could not close partially initialized shard"                               // Error in ../node/pkg/local_object_storage/engine/control.go
	EngineCouldNotInitializeShardClosingAndSkipping                         = "could not initialize shard, closing and skipping"                          // Error in ../node/pkg/local_object_storage/engine/control.go
	EngineCouldNotCloseShard                                                = "could not close shard"                                                     // Debug in ../node/pkg/local_object_storage/engine/control.go
	EngineCouldNotReloadAShard                                              = "could not reload a shard"                                                  // Error in ../node/pkg/local_object_storage/engine/control.go
	EngineAddedNewShard                                                     = "added new shard"                                                           // Info in ../node/pkg/local_object_storage/engine/control.go
	EngineCouldNotMarkObjectForShardRelocation                              = "could not mark object for shard relocation"                                // Warn in ../node/pkg/local_object_storage/engine/put.go
	EngineCouldNotPutObjectToShard                                          = "could not put object to shard"                                             // Warn in ../node/pkg/local_object_storage/engine/put.go
	EngineErrorDuringSearchingForObjectChildren                             = "error during searching for object children"                                // Warn in ../node/pkg/local_object_storage/engine/delete.go
	EngineCouldNotInhumeObjectInShard                                       = "could not inhume object in shard"                                          // Debug in ../node/pkg/local_object_storage/engine/delete.go
	EngineStartingRemovalOfLocallyredundantCopies                           = "starting removal of locally-redundant copies"                              // Info in ../node/pkg/local_object_storage/engine/remove_copies.go
	EngineStartedDuplicatesRemovalRoutine                                   = "started duplicates removal routine"                                        // Debug in ../node/pkg/local_object_storage/engine/remove_copies.go
	EngineFinishedRemovalOfLocallyredundantCopies                           = "finished removal of locally-redundant copies"                              // Error in ../node/pkg/local_object_storage/engine/remove_copies.go
	EngineRemovingAnObjectWithoutFullLockingCheck                           = "removing an object without full locking check"                             // Warn in ../node/pkg/local_object_storage/engine/inhume.go
	EngineInterruptProcessingTheExpiredLocks                                = "interrupt processing the expired locks"                                    // Info in ../node/pkg/local_object_storage/engine/inhume.go
	EngineInterruptProcessingTheDeletedLocks                                = "interrupt processing the deleted locks"                                    // Info in ../node/pkg/local_object_storage/engine/inhume.go
	EngineFailedToMoveShardInDegradedreadonlyModeMovingToReadonly           = "failed to move shard in degraded-read-only mode, moving to read-only"      // Error in ../node/pkg/local_object_storage/engine/engine.go
	EngineFailedToMoveShardInReadonlyMode                                   = "failed to move shard in read-only mode"                                    // Error in ../node/pkg/local_object_storage/engine/engine.go
	EngineShardIsMovedInReadonlyModeDueToErrorThreshold                     = "shard is moved in read-only mode due to error threshold"                   // Info in ../node/pkg/local_object_storage/engine/engine.go
	EngineShardIsMovedInDegradedModeDueToErrorThreshold                     = "shard is moved in degraded mode due to error threshold"                    // Info in ../node/pkg/local_object_storage/engine/engine.go
	EngineModeChangeIsInProgressIgnoringSetmodeRequest                      = "mode change is in progress, ignoring set-mode request"                     // Debug in ../node/pkg/local_object_storage/engine/engine.go
	EngineStartedShardsEvacuation                                           = "started shards evacuation"                                                 // Info in ../node/pkg/local_object_storage/engine/evacuate.go
	EngineFinishedSuccessfullyShardsEvacuation                              = "shards evacuation finished successfully"                                   // Info in ../node/pkg/local_object_storage/engine/evacuate.go
	EngineFinishedWithErrorShardsEvacuation                                 = "shards evacuation finished with error"                                     // Error in ../node/pkg/local_object_storage/engine/evacuate.go
	EngineObjectIsMovedToAnotherShard                                       = "object is moved to another shard"                                          // Debug in ../node/pkg/local_object_storage/engine/evacuate.go
	MetabaseMissingMatcher                                                  = "missing matcher"                                                           // Debug in ../node/pkg/local_object_storage/metabase/select.go
	MetabaseErrorInFKBTSelection                                            = "error in FKBT selection"                                                   // Debug in ../node/pkg/local_object_storage/metabase/select.go
	MetabaseCantDecodeListBucketLeaf                                        = "can't decode list bucket leaf"                                             // Debug in ../node/pkg/local_object_storage/metabase/select.go
	MetabaseUnknownOperation                                                = "unknown operation"                                                         // Debug in ../node/pkg/local_object_storage/metabase/select.go
	MetabaseCantIterateOverTheBucket                                        = "can't iterate over the bucket"                                             // Debug in ../node/pkg/local_object_storage/metabase/select.go
	MetabaseCouldNotIterateOverTheBuckets                                   = "could not iterate over the buckets"                                        // Debug in ../node/pkg/local_object_storage/metabase/select.go
	MetabaseCreatedDirectoryForMetabase                                     = "created directory for Metabase"                                            // Debug in ../node/pkg/local_object_storage/metabase/control.go
	MetabaseOpenedBoltDBInstanceForMetabase                                 = "opened boltDB instance for Metabase"                                       // Debug in ../node/pkg/local_object_storage/metabase/control.go
	MetabaseCheckingMetabaseVersion                                         = "checking metabase version"                                                 // Debug in ../node/pkg/local_object_storage/metabase/control.go
	ShardCantSelectAllObjects                                               = "can't select all objects"                                                  // Debug in ../node/pkg/local_object_storage/shard/list.go
	ShardSettingShardMode                                                   = "setting shard mode"                                                        // Info in ../node/pkg/local_object_storage/shard/mode.go
	ShardShardModeSetSuccessfully                                           = "shard mode set successfully"                                               // Info in ../node/pkg/local_object_storage/shard/mode.go
	ShardCouldNotMarkObjectForShardRelocationInMetabase                     = "could not mark object for shard relocation in metabase"                    // Debug in ../node/pkg/local_object_storage/shard/move.go
	ShardCantDeleteObjectFromWriteCache                                     = "can't delete object from write cache"                                      // Warn in ../node/pkg/local_object_storage/shard/delete.go
	ShardCantGetStorageIDFromMetabase                                       = "can't get storage ID from metabase"                                        // Debug in ../node/pkg/local_object_storage/shard/delete.go
	ShardCantRemoveObjectFromBlobStor                                       = "can't remove object from blobStor"                                         // Debug in ../node/pkg/local_object_storage/shard/delete.go
	ShardFetchingObjectWithoutMeta                                          = "fetching object without meta"                                              // Warn in ../node/pkg/local_object_storage/shard/get.go
	ShardObjectIsMissingInWritecache                                        = "object is missing in write-cache"                                          // Debug in ../node/pkg/local_object_storage/shard/get.go
	ShardFailedToFetchObjectFromWritecache                                  = "failed to fetch object from write-cache"                                   // Error in ../node/pkg/local_object_storage/shard/get.go
	ShardCantPutObjectToTheWritecacheTryingBlobstor                         = "can't put object to the write-cache, trying blobstor"                      // Debug in ../node/pkg/local_object_storage/shard/put.go
	ShardMetaObjectCounterRead                                              = "meta: object counter read"                                                 // Warn in ../node/pkg/local_object_storage/shard/shard.go
	ShardMetaCantReadContainerList                                          = "meta: can't read container list"                                           // Warn in ../node/pkg/local_object_storage/shard/shard.go
	ShardMetaCantReadContainerSize                                          = "meta: can't read container size"                                           // Warn in ../node/pkg/local_object_storage/shard/shard.go
	ShardMetabaseFailureSwitchingMode                                       = "metabase failure, switching mode"                                          // Error in ../node/pkg/local_object_storage/shard/control.go
	ShardCantMoveShardToReadonlySwitchMode                                  = "can't move shard to readonly, switch mode"                                 // Error in ../node/pkg/local_object_storage/shard/control.go
	ShardCouldNotUnmarshalObject                                            = "could not unmarshal object"                                                // Warn in ../node/pkg/local_object_storage/shard/control.go
	ShardCouldNotCloseShardComponent                                        = "could not close shard component"                                           // Error in ../node/pkg/local_object_storage/shard/control.go
	ShardCantOpenMetabaseMoveToADegradedMode                                = "can't open metabase, move to a degraded mode"                              // Error in ../node/pkg/local_object_storage/shard/control.go
	ShardCantInitializeMetabaseMoveToADegradedreadonlyMode                  = "can't initialize metabase, move to a degraded-read-only mode"              // Error in ../node/pkg/local_object_storage/shard/control.go
	ShardTryingToRestoreReadwriteMode                                       = "trying to restore read-write mode"                                         // Info in ../node/pkg/local_object_storage/shard/control.go
	ShardStopEventListenerByClosedChannel                                   = "stop event listener by closed channel"                                     // Warn in ../node/pkg/local_object_storage/shard/gc.go
	ShardCouldNotSubmitGCJobToWorkerPool                                    = "could not submit GC job to worker pool"                                    // Warn in ../node/pkg/local_object_storage/shard/gc.go
	ShardGCIsStopped                                                        = "GC is stopped"                                                             // Debug in ../node/pkg/local_object_storage/shard/gc.go
	ShardWaitingForGCWorkersToStop                                          = "waiting for GC workers to stop..."                                         // Info in ../node/pkg/local_object_storage/shard/gc.go
	ShardIteratorOverMetabaseGraveyardFailed                                = "iterator over metabase graveyard failed"                                   // Warn in ../node/pkg/local_object_storage/shard/gc.go
	ShardCouldNotDeleteTheObjects                                           = "could not delete the objects"                                              // Warn in ../node/pkg/local_object_storage/shard/gc.go
	ShardIteratorOverExpiredObjectsFailed                                   = "iterator over expired objects failed"                                      // Warn in ../node/pkg/local_object_storage/shard/gc.go
	ShardCouldNotInhumeTheObjects                                           = "could not inhume the objects"                                              // Warn in ../node/pkg/local_object_storage/shard/gc.go
	ShardStartedExpiredTombstonesHandling                                   = "started expired tombstones handling"                                       // Debug in ../node/pkg/local_object_storage/shard/gc.go
	ShardIteratingTombstones                                                = "iterating tombstones"                                                      // Debug in ../node/pkg/local_object_storage/shard/gc.go
	ShardShardIsInADegradedModeSkipCollectingExpiredTombstones              = "shard is in a degraded mode, skip collecting expired tombstones"           // Debug in ../node/pkg/local_object_storage/shard/gc.go
	ShardIteratorOverGraveyardFailed                                        = "iterator over graveyard failed"                                            // Error in ../node/pkg/local_object_storage/shard/gc.go
	ShardHandlingExpiredTombstonesBatch                                     = "handling expired tombstones batch"                                         // Debug in ../node/pkg/local_object_storage/shard/gc.go
	ShardFinishedExpiredTombstonesHandling                                  = "finished expired tombstones handling"                                      // Debug in ../node/pkg/local_object_storage/shard/gc.go
	ShardIteratorOverExpiredLocksFailed                                     = "iterator over expired locks failed"                                        // Warn in ../node/pkg/local_object_storage/shard/gc.go
	ShardCouldNotMarkTombstonesAsGarbage                                    = "could not mark tombstones as garbage"                                      // Warn in ../node/pkg/local_object_storage/shard/gc.go
	ShardCouldNotDropExpiredGraveRecords                                    = "could not drop expired grave records"                                      // Warn in ../node/pkg/local_object_storage/shard/gc.go
	ShardFailureToUnlockObjects                                             = "failure to unlock objects"                                                 // Warn in ../node/pkg/local_object_storage/shard/gc.go
	ShardFailureToMarkLockersAsGarbage                                      = "failure to mark lockers as garbage"                                        // Warn in ../node/pkg/local_object_storage/shard/gc.go
	ShardFailureToGetExpiredUnlockedObjects                                 = "failure to get expired unlocked objects"                                   // Warn in ../node/pkg/local_object_storage/shard/gc.go
	ShardCouldNotMarkObjectToDeleteInMetabase                               = "could not mark object to delete in metabase"                               // Debug in ../node/pkg/local_object_storage/shard/inhume.go
	WritecacheTriedToFlushItemsFromWritecache                               = "tried to flush items from write-cache"                                     // Debug in ../node/pkg/local_object_storage/writecache/flush.go
	WritecacheWaitingForChannelsToFlush                                     = "waiting for channels to flush"                                             // Info in ../node/pkg/local_object_storage/writecache/mode.go
	WritecacheFillingFlushMarksForObjectsInFSTree                           = "filling flush marks for objects in FSTree"                                 // Info in ../node/pkg/local_object_storage/writecache/init.go
	WritecacheFinishedUpdatingFSTreeFlushMarks                              = "finished updating FSTree flush marks"                                      // Info in ../node/pkg/local_object_storage/writecache/init.go
	WritecacheFillingFlushMarksForObjectsInDatabase                         = "filling flush marks for objects in database"                               // Info in ../node/pkg/local_object_storage/writecache/init.go
	WritecacheFinishedUpdatingFlushMarks                                    = "finished updating flush marks"                                             // Info in ../node/pkg/local_object_storage/writecache/init.go
	WritecacheCantRemoveObjectsFromTheDatabase                              = "can't remove objects from the database"                                    // Error in ../node/pkg/local_object_storage/writecache/storage.go
	WritecacheCantParseAddress                                              = "can't parse address"                                                       // Error in ../node/pkg/local_object_storage/writecache/storage.go
	WritecacheCantRemoveObjectFromWritecache                                = "can't remove object from write-cache"                                      // Error in ../node/pkg/local_object_storage/writecache/storage.go
	BlobovniczatreeCouldNotGetObjectFromLevel                               = "could not get object from level"                                           // Debug in ../node/pkg/local_object_storage/blobstor/blobovniczatree/get_range.go
	BlobovniczatreeCouldNotReadPayloadRangeFromOpenedBlobovnicza            = "could not read payload range from opened blobovnicza"                      // Debug in ../node/pkg/local_object_storage/blobstor/blobovniczatree/get_range.go
	BlobovniczatreeCouldNotReadPayloadRangeFromActiveBlobovnicza            = "could not read payload range from active blobovnicza"                      // Debug in ../node/pkg/local_object_storage/blobstor/blobovniczatree/get_range.go
	BlobovniczatreeCouldNotCloseBlobovnicza                                 = "could not close Blobovnicza"                                               // Error in ../node/pkg/local_object_storage/blobstor/blobovniczatree/blobovnicza.go
	BlobovniczatreeBlobovniczaSuccessfullyClosedOnEvict                     = "blobovnicza successfully closed on evict"                                  // Debug in ../node/pkg/local_object_storage/blobstor/blobovniczatree/blobovnicza.go
	BlobovniczatreeUpdatingActiveBlobovnicza                                = "updating active blobovnicza..."                                            // Debug in ../node/pkg/local_object_storage/blobstor/blobovniczatree/blobovnicza.go
	BlobovniczatreeActiveBlobovniczaSuccessfullyUpdated                     = "active blobovnicza successfully updated"                                   // Debug in ../node/pkg/local_object_storage/blobstor/blobovniczatree/blobovnicza.go
	BlobovniczatreeBlobovniczaSuccessfullyActivated                         = "blobovnicza successfully activated"                                        // Debug in ../node/pkg/local_object_storage/blobstor/blobovniczatree/blobovnicza.go
	BlobovniczatreeCouldNotRemoveObjectFromLevel                            = "could not remove object from level"                                        // Debug in ../node/pkg/local_object_storage/blobstor/blobovniczatree/delete.go
	BlobovniczatreeCouldNotRemoveObjectFromOpenedBlobovnicza                = "could not remove object from opened blobovnicza"                           // Debug in ../node/pkg/local_object_storage/blobstor/blobovniczatree/delete.go
	BlobovniczatreeCouldNotRemoveObjectFromActiveBlobovnicza                = "could not remove object from active blobovnicza"                           // Debug in ../node/pkg/local_object_storage/blobstor/blobovniczatree/delete.go
	BlobovniczatreeCouldNotGetActiveBlobovnicza                             = "could not get active blobovnicza"                                          // reportError in ../node/pkg/local_object_storage/blobstor/blobovniczatree/put.go
	BlobovniczatreeBlobovniczaOverflowed                                    = "blobovnicza overflowed"                                                    // Debug in ../node/pkg/local_object_storage/blobstor/blobovniczatree/put.go
	BlobovniczatreeCouldNotUpdateActiveBlobovnicza                          = "could not update active blobovnicza"                                       // reportError in ../node/pkg/local_object_storage/blobstor/blobovniczatree/put.go
	BlobovniczatreeCouldNotPutObjectToActiveBlobovnicza                     = "could not put object to active blobovnicza"                                // reportError in ../node/pkg/local_object_storage/blobstor/blobovniczatree/put.go
	BlobovniczatreeCouldNotReadObjectFromOpenedBlobovnicza                  = "could not read object from opened blobovnicza"                             // Debug in ../node/pkg/local_object_storage/blobstor/blobovniczatree/get.go
	BlobovniczatreeCouldNotGetObjectFromActiveBlobovnicza                   = "could not get object from active blobovnicza"                              // Debug in ../node/pkg/local_object_storage/blobstor/blobovniczatree/get.go
	BlobovniczatreeInitializingBlobovniczas                                 = "initializing Blobovnicza's"                                                // Debug in ../node/pkg/local_object_storage/blobstor/blobovniczatree/control.go
	BlobovniczatreeReadonlyModeSkipBlobovniczasInitialization               = "read-only mode, skip blobovniczas initialization..."                       // Debug in ../node/pkg/local_object_storage/blobstor/blobovniczatree/control.go
	BlobovniczatreeBlobovniczaSuccessfullyInitializedClosing                = "blobovnicza successfully initialized, closing..."                          // Debug in ../node/pkg/local_object_storage/blobstor/blobovniczatree/control.go
	BlobovniczatreeCouldNotCloseActiveBlobovnicza                           = "could not close active blobovnicza"                                        // Debug in ../node/pkg/local_object_storage/blobstor/blobovniczatree/control.go
	AlphabetTick                                                            = "tick"                                                                      // Info in ../node/pkg/innerring/processors/alphabet/handlers.go
	AlphabetAlphabetProcessorWorkerPoolDrained                              = "alphabet processor worker pool drained"                                    // Warn in ../node/pkg/innerring/processors/alphabet/handlers.go
	AlphabetNonAlphabetModeIgnoreGasEmissionEvent                           = "non alphabet mode, ignore gas emission event"                              // Info in ../node/pkg/innerring/processors/alphabet/process_emit.go
	AlphabetNodeIsOutOfAlphabetRangeIgnoreGasEmissionEvent                  = "node is out of alphabet range, ignore gas emission event"                  // Debug in ../node/pkg/innerring/processors/alphabet/process_emit.go
	AlphabetCantInvokeAlphabetEmitMethod                                    = "can't invoke alphabet emit method"                                         // Warn in ../node/pkg/innerring/processors/alphabet/process_emit.go
	AlphabetStorageNodeEmissionIsOff                                        = "storage node emission is off"                                              // Info in ../node/pkg/innerring/processors/alphabet/process_emit.go
	AlphabetCantGetNetmapSnapshotToEmitGasToStorageNodes                    = "can't get netmap snapshot to emit gas to storage nodes"                    // Warn in ../node/pkg/innerring/processors/alphabet/process_emit.go
	AlphabetGasEmission                                                     = "gas emission"                                                              // Debug in ../node/pkg/innerring/processors/alphabet/process_emit.go
	AlphabetCantParseNodePublicKey                                          = "can't parse node public key"                                               // Warn in ../node/pkg/innerring/processors/alphabet/process_emit.go
	AlphabetCantTransferGas                                                 = "can't transfer gas"                                                        // Warn in ../node/pkg/innerring/processors/alphabet/process_emit.go
	AlphabetCantTransferGasToWallet                                         = "can't transfer gas to wallet"                                              // Warn in ../node/pkg/innerring/processors/alphabet/process_emit.go
	AlphabetAlphabetWorkerPool                                              = "alphabet worker pool"                                                      // Debug in ../node/pkg/innerring/processors/alphabet/processor.go
	BalanceBalanceWorkerPoolDrained                                         = "balance worker pool drained"                                               // Warn in ../node/pkg/innerring/processors/balance/handlers.go
	BalanceNonAlphabetModeIgnoreBalanceLock                                 = "non alphabet mode, ignore balance lock"                                    // Info in ../node/pkg/innerring/processors/balance/process_assets.go
	BalanceCantSendLockAssetTx                                              = "can't send lock asset tx"                                                  // Error in ../node/pkg/innerring/processors/balance/process_assets.go
	BalanceBalanceWorkerPool                                                = "balance worker pool"                                                       // Debug in ../node/pkg/innerring/processors/balance/processor.go
	ContainerContainerWorkerPool                                            = "container worker pool"                                                     // Debug in ../node/pkg/innerring/processors/container/processor.go
	ContainerContainerProcessorWorkerPoolDrained                            = "container processor worker pool drained"                                   // Warn in ../node/pkg/innerring/processors/container/handlers.go
	ContainerNonAlphabetModeIgnoreContainerPut                              = "non alphabet mode, ignore container put"                                   // Info in ../node/pkg/innerring/processors/container/process_container.go
	ContainerPutContainerCheckFailed                                        = "put container check failed"                                                // Error in ../node/pkg/innerring/processors/container/process_container.go
	ContainerCouldNotApprovePutContainer                                    = "could not approve put container"                                           // Error in ../node/pkg/innerring/processors/container/process_container.go
	ContainerNonAlphabetModeIgnoreContainerDelete                           = "non alphabet mode, ignore container delete"                                // Info in ../node/pkg/innerring/processors/container/process_container.go
	ContainerDeleteContainerCheckFailed                                     = "delete container check failed"                                             // Error in ../node/pkg/innerring/processors/container/process_container.go
	ContainerCouldNotApproveDeleteContainer                                 = "could not approve delete container"                                        // Error in ../node/pkg/innerring/processors/container/process_container.go
	ContainerNonAlphabetModeIgnoreSetEACL                                   = "non alphabet mode, ignore set EACL"                                        // Info in ../node/pkg/innerring/processors/container/process_eacl.go
	ContainerSetEACLCheckFailed                                             = "set EACL check failed"                                                     // Error in ../node/pkg/innerring/processors/container/process_eacl.go
	ContainerCouldNotApproveSetEACL                                         = "could not approve set EACL"                                                // Error in ../node/pkg/innerring/processors/container/process_eacl.go
	FrostFSNonAlphabetModeIgnoreBind                                        = "non alphabet mode, ignore bind"                                            // Info in ../node/pkg/innerring/processors/frostfs/process_bind.go
	FrostFSInvalidManageKeyEvent                                            = "invalid manage key event"                                                  // Error in ../node/pkg/innerring/processors/frostfs/process_bind.go
	FrostFSCouldNotDecodeScriptHashFromBytes                                = "could not decode script hash from bytes"                                   // Error in ../node/pkg/innerring/processors/frostfs/process_bind.go
	FrostFSNonAlphabetModeIgnoreConfig                                      = "non alphabet mode, ignore config"                                          // Info in ../node/pkg/innerring/processors/frostfs/process_config.go
	FrostFSCantRelaySetConfigEvent                                          = "can't relay set config event"                                              // Error in ../node/pkg/innerring/processors/frostfs/process_config.go
	FrostFSFrostfsWorkerPool                                                = "frostfs worker pool"                                                       // Debug in ../node/pkg/innerring/processors/frostfs/processor.go
	FrostFSFrostfsProcessorWorkerPoolDrained                                = "frostfs processor worker pool drained"                                     // Warn in ../node/pkg/innerring/processors/frostfs/handlers.go
	FrostFSNonAlphabetModeIgnoreDeposit                                     = "non alphabet mode, ignore deposit"                                         // Info in ../node/pkg/innerring/processors/frostfs/process_assets.go
	FrostFSCantTransferAssetsToBalanceContract                              = "can't transfer assets to balance contract"                                 // Error in ../node/pkg/innerring/processors/frostfs/process_assets.go
	FrostFSDoubleMintEmissionDeclined                                       = "double mint emission declined"                                             // Warn in ../node/pkg/innerring/processors/frostfs/process_assets.go
	FrostFSCantGetGasBalanceOfTheNode                                       = "can't get gas balance of the node"                                         // Error in ../node/pkg/innerring/processors/frostfs/process_assets.go
	FrostFSGasBalanceThresholdHasBeenReached                                = "gas balance threshold has been reached"                                    // Warn in ../node/pkg/innerring/processors/frostfs/process_assets.go
	FrostFSCantTransferNativeGasToReceiver                                  = "can't transfer native gas to receiver"                                     // Error in ../node/pkg/innerring/processors/frostfs/process_assets.go
	FrostFSNonAlphabetModeIgnoreWithdraw                                    = "non alphabet mode, ignore withdraw"                                        // Info in ../node/pkg/innerring/processors/frostfs/process_assets.go
	FrostFSCantCreateLockAccount                                            = "can't create lock account"                                                 // Error in ../node/pkg/innerring/processors/frostfs/process_assets.go
	FrostFSCantLockAssetsForWithdraw                                        = "can't lock assets for withdraw"                                            // Error in ../node/pkg/innerring/processors/frostfs/process_assets.go
	FrostFSNonAlphabetModeIgnoreCheque                                      = "non alphabet mode, ignore cheque"                                          // Info in ../node/pkg/innerring/processors/frostfs/process_assets.go
	FrostFSCantTransferAssetsToFedContract                                  = "can't transfer assets to fed contract"                                     // Error in ../node/pkg/innerring/processors/frostfs/process_assets.go
	GovernanceNewEvent                                                      = "new event"                                                                 // Info in ../node/pkg/innerring/processors/governance/handlers.go
	GovernanceGovernanceWorkerPoolDrained                                   = "governance worker pool drained"                                            // Warn in ../node/pkg/innerring/processors/governance/handlers.go
	GovernanceNonAlphabetModeIgnoreAlphabetSync                             = "non alphabet mode, ignore alphabet sync"                                   // Info in ../node/pkg/innerring/processors/governance/process_update.go
	GovernanceCantFetchAlphabetListFromMainNet                              = "can't fetch alphabet list from main net"                                   // Error in ../node/pkg/innerring/processors/governance/process_update.go
	GovernanceCantFetchAlphabetListFromSideChain                            = "can't fetch alphabet list from side chain"                                 // Error in ../node/pkg/innerring/processors/governance/process_update.go
	GovernanceCantMergeAlphabetListsFromMainNetAndSideChain                 = "can't merge alphabet lists from main net and side chain"                   // Error in ../node/pkg/innerring/processors/governance/process_update.go
	GovernanceNoGovernanceUpdateAlphabetListHasNotBeenChanged               = "no governance update, alphabet list has not been changed"                  // Info in ../node/pkg/innerring/processors/governance/process_update.go
	GovernanceAlphabetListHasBeenChangedStartingUpdate                      = "alphabet list has been changed, starting update"                           // Info in ../node/pkg/innerring/processors/governance/process_update.go
	GovernanceCantVoteForSideChainCommittee                                 = "can't vote for side chain committee"                                       // Error in ../node/pkg/innerring/processors/governance/process_update.go
	GovernanceFinishedAlphabetListUpdate                                    = "finished alphabet list update"                                             // Info in ../node/pkg/innerring/processors/governance/process_update.go
	GovernanceCantFetchInnerRingListFromSideChain                           = "can't fetch inner ring list from side chain"                               // Error in ../node/pkg/innerring/processors/governance/process_update.go
	GovernanceCantCreateNewInnerRingListWithNewAlphabetKeys                 = "can't create new inner ring list with new alphabet keys"                   // Error in ../node/pkg/innerring/processors/governance/process_update.go
	GovernanceUpdateOfTheInnerRingList                                      = "update of the inner ring list"                                             // Info in ../node/pkg/innerring/processors/governance/process_update.go
	GovernanceCantUpdateInnerRingListWithNewAlphabetKeys                    = "can't update inner ring list with new alphabet keys"                       // Error in ../node/pkg/innerring/processors/governance/process_update.go
	GovernanceCantUpdateListOfNotaryNodesInSideChain                        = "can't update list of notary nodes in side chain"                           // Error in ../node/pkg/innerring/processors/governance/process_update.go
	GovernanceCantUpdateListOfAlphabetNodesInFrostfsContract                = "can't update list of alphabet nodes in frostfs contract"                   // Error in ../node/pkg/innerring/processors/governance/process_update.go
	NetmapNetmapWorkerPool                                                  = "netmap worker pool"                                                        // Debug in ../node/pkg/innerring/processors/netmap/processor.go
	NetmapTick                                                              = "tick"                                                                      // Info in ../node/pkg/innerring/processors/netmap/handlers.go
	NetmapNetmapWorkerPoolDrained                                           = "netmap worker pool drained"                                                // Warn in ../node/pkg/innerring/processors/netmap/handlers.go
	NetmapNetmapCleanUpRoutineIsDisabled518                                 = "netmap clean up routine is disabled"                                       // Debug in ../node/pkg/innerring/processors/netmap/handlers.go
	NetmapNonAlphabetModeIgnoreNewNetmapCleanupTick                         = "non alphabet mode, ignore new netmap cleanup tick"                         // Info in ../node/pkg/innerring/processors/netmap/process_cleanup.go
	NetmapCantDecodePublicKeyOfNetmapNode                                   = "can't decode public key of netmap node"                                    // Warn in ../node/pkg/innerring/processors/netmap/process_cleanup.go
	NetmapVoteToRemoveNodeFromNetmap                                        = "vote to remove node from netmap"                                           // Info in ../node/pkg/innerring/processors/netmap/process_cleanup.go
	NetmapCantInvokeNetmapUpdateState                                       = "can't invoke netmap.UpdateState"                                           // Error in ../node/pkg/innerring/processors/netmap/process_cleanup.go
	NetmapCantIterateOnNetmapCleanerCache                                   = "can't iterate on netmap cleaner cache"                                     // Warn in ../node/pkg/innerring/processors/netmap/process_cleanup.go
	NetmapCantGetEpochDuration                                              = "can't get epoch duration"                                                  // Warn in ../node/pkg/innerring/processors/netmap/process_epoch.go
	NetmapCantGetTransactionHeight                                          = "can't get transaction height"                                              // Warn in ../node/pkg/innerring/processors/netmap/process_epoch.go
	NetmapCantResetEpochTimer                                               = "can't reset epoch timer"                                                   // Warn in ../node/pkg/innerring/processors/netmap/process_epoch.go
	NetmapCantGetNetmapSnapshotToPerformCleanup                             = "can't get netmap snapshot to perform cleanup"                              // Warn in ../node/pkg/innerring/processors/netmap/process_epoch.go
	NetmapCantStartContainerSizeEstimation                                  = "can't start container size estimation"                                     // Warn in ../node/pkg/innerring/processors/netmap/process_epoch.go
	NetmapNonAlphabetModeIgnoreNewEpochTick                                 = "non alphabet mode, ignore new epoch tick"                                  // Info in ../node/pkg/innerring/processors/netmap/process_epoch.go
	NetmapNextEpoch                                                         = "next epoch"                                                                // Debug in ../node/pkg/innerring/processors/netmap/process_epoch.go
	NetmapCantInvokeNetmapNewEpoch                                          = "can't invoke netmap.NewEpoch"                                              // Error in ../node/pkg/innerring/processors/netmap/process_epoch.go
	NetmapNonAlphabetModeIgnoreNewPeerNotification                          = "non alphabet mode, ignore new peer notification"                           // Info in ../node/pkg/innerring/processors/netmap/process_peers.go
	NetmapNonhaltNotaryTransaction                                          = "non-halt notary transaction"                                               // Warn in ../node/pkg/innerring/processors/netmap/process_peers.go
	NetmapCantParseNetworkMapCandidate                                      = "can't parse network map candidate"                                         // Warn in ../node/pkg/innerring/processors/netmap/process_peers.go
	NetmapCouldNotVerifyAndUpdateInformationAboutNetworkMapCandidate        = "could not verify and update information about network map candidate"       // Warn in ../node/pkg/innerring/processors/netmap/process_peers.go
	NetmapApprovingNetworkMapCandidate                                      = "approving network map candidate"                                           // Info in ../node/pkg/innerring/processors/netmap/process_peers.go
	NetmapCantInvokeNetmapAddPeer                                           = "can't invoke netmap.AddPeer"                                               // Error in ../node/pkg/innerring/processors/netmap/process_peers.go
	NetmapNonAlphabetModeIgnoreUpdatePeerNotification                       = "non alphabet mode, ignore update peer notification"                        // Info in ../node/pkg/innerring/processors/netmap/process_peers.go
	NetmapPreventSwitchingNodeToMaintenanceState                            = "prevent switching node to maintenance state"                               // Info in ../node/pkg/innerring/processors/netmap/process_peers.go
	NetmapCantInvokeNetmapUpdatePeer                                        = "can't invoke netmap.UpdatePeer"                                            // Error in ../node/pkg/innerring/processors/netmap/process_peers.go                                                 // Debug in ../node/pkg/innerring/processors/reputation/processor.go
	FrostFSIRInternalError                                                  = "internal error"                                                            // Info in ../node/cmd/frostfs-ir/main.go
	FrostFSIRCouldNotShutdownHTTPServer                                     = "could not shutdown HTTP server"                                            // Debug in ../node/cmd/frostfs-ir/main.go
	FrostFSIRApplicationStopped                                             = "application stopped"                                                       // Info in ../node/cmd/frostfs-ir/main.go
	FrostFSIRCouldntCreateRPCClientForEndpoint                              = "could not create RPC client for endpoint"                                  // Debug in ../node/pkg/morph/client/constructor.go
	FrostFSIRCreatedRPCClientForEndpoint                                    = "created RPC client for endpoint"                                           // Info in ../node/pkg/morph/client/constructor.go
	FrostFSIRReloadExtraWallets                                             = "reload extra wallets"                                                      // Info in ../node/cmd/frostfs-ir/config.go
	FrostFSNodeCouldNotReadCertificateFromFile                              = "could not read certificate from file"                                      // Error in ../node/cmd/frostfs-node/grpc.go
	FrostFSNodeCantListenGRPCEndpoint                                       = "can't listen gRPC endpoint"                                                // Error in ../node/cmd/frostfs-node/grpc.go
	FrostFSNodeStopListeningGRPCEndpoint                                    = "stop listening gRPC endpoint"                                              // Info in ../node/cmd/frostfs-node/grpc.go
	FrostFSNodeStartListeningGRPCEndpoint                                   = "start listening gRPC endpoint"                                             // Info in ../node/cmd/frostfs-node/grpc.go
	FrostFSNodeStoppingGRPCServer                                           = "stopping gRPC server..."                                                   // Info in ../node/cmd/frostfs-node/grpc.go
	FrostFSNodeGRPCCannotShutdownGracefullyForcingStop                      = "gRPC cannot shutdown gracefully, forcing stop"                             // Info in ../node/cmd/frostfs-node/grpc.go
	FrostFSNodeGRPCServerStoppedSuccessfully                                = "gRPC server stopped successfully"                                          // Info in ../node/cmd/frostfs-node/grpc.go
	FrostFSNodeWaitingForAllProcessesToStop                                 = "waiting for all processes to stop"                                         // Debug in ../node/cmd/frostfs-node/main.go
	FrostFSNodeStartedLocalNodesMaintenance                                 = "started local node's maintenance"                                          // Info in ../node/cmd/frostfs-node/config.go
	FrostFSNodeStoppedLocalNodesMaintenance                                 = "stopped local node's maintenance"                                          // Info in ../node/cmd/frostfs-node/config.go
	FrostFSNodeFailedToAttachShardToEngine                                  = "failed to attach shard to engine"                                          // Error in ../node/cmd/frostfs-node/config.go
	FrostFSNodeShardAttachedToEngine                                        = "shard attached to engine"                                                  // Info in ../node/cmd/frostfs-node/config.go
	FrostFSNodeClosingComponentsOfTheStorageEngine                          = "closing components of the storage engine..."                               // Info in ../node/cmd/frostfs-node/config.go
	FrostFSNodeStorageEngineClosingFailure                                  = "storage engine closing failure"                                            // Info in ../node/cmd/frostfs-node/config.go
	FrostFSNodeAllComponentsOfTheStorageEngineClosedSuccessfully            = "all components of the storage engine closed successfully"                  // Info in ../node/cmd/frostfs-node/config.go
	FrostFSNodeBootstrappingWithTheMaintenanceState                         = "bootstrapping with the maintenance state"                                  // Info in ../node/cmd/frostfs-node/config.go
	FrostFSNodeBootstrappingWithOnlineState                                 = "bootstrapping with online state"                                           // Info in ../node/cmd/frostfs-node/config.go
	FrostFSNodeTerminationSignalHasBeenReceivedStopping                     = "termination signal has been received, stopping..."                         // Info in ../node/cmd/frostfs-node/config.go
	FrostFSNodeTerminationSignalProcessingIsComplete                        = "termination signal processing is complete"                                 // Info in ../node/cmd/frostfs-node/config.go
	FrostFSNodeInternalApplicationError                                     = "internal application error"                                                // Warn in ../node/cmd/frostfs-node/config.go
	FrostFSNodeInternalErrorProcessingIsComplete                            = "internal error processing is complete"                                     // Info in ../node/cmd/frostfs-node/config.go
	FrostFSNodeSIGHUPHasBeenReceivedRereadingConfiguration                  = "SIGHUP has been received, rereading configuration..."                      // Info in ../node/cmd/frostfs-node/config.go
	FrostFSNodeConfigurationReading                                         = "configuration reading"                                                     // Error in ../node/cmd/frostfs-node/config.go
	FrostFSNodeLoggerConfigurationPreparation                               = "logger configuration preparation"                                          // Error in ../node/cmd/frostfs-node/config.go
	FrostFSNodeTracingConfigationUpdated                                    = "tracing configation updated"                                               // Info in ../node/cmd/frostfs-node/config.go
	FrostFSNodeStorageEngineConfigurationUpdate                             = "storage engine configuration update"                                       // Error in ../node/cmd/frostfs-node/config.go
	FrostFSNodeUpdatedConfigurationApplying                                 = "updated configuration applying"                                            // Error in ../node/cmd/frostfs-node/config.go
	FrostFSNodeConfigurationHasBeenReloadedSuccessfully                     = "configuration has been reloaded successfully"                              // Info in ../node/cmd/frostfs-node/config.go
	FrostFSNodeReadNewlyCreatedContainerAfterTheNotification                = "read newly created container after the notification"                       // Error in ../node/cmd/frostfs-node/container.go
	FrostFSNodeContainerCreationEventsReceipt                               = "container creation event's receipt"                                        // Debug in ../node/cmd/frostfs-node/container.go
	FrostFSNodeContainerRemovalEventsReceipt                                = "container removal event's receipt"                                         // Debug in ../node/cmd/frostfs-node/container.go
	FrostFSNodeSaveUsedSpaceAnnouncementInContract                          = "save used space announcement in contract"                                  // Debug in ../node/cmd/frostfs-node/container.go
	FrostFSNodeFailedToCalculateContainerSizeInStorageEngine                = "failed to calculate container size in storage engine"                      // Debug in ../node/cmd/frostfs-node/container.go
	FrostFSNodeContainerSizeInStorageEngineCalculatedSuccessfully           = "container size in storage engine calculated successfully"                  // Debug in ../node/cmd/frostfs-node/container.go
	FrostFSNodeNotificatorCouldNotListContainers                            = "notificator: could not list containers"                                    // Error in ../node/cmd/frostfs-node/notificator.go
	FrostFSNodeNotificatorCouldNotSelectObjectsFromContainer                = "notificator: could not select objects from container"                      // Error in ../node/cmd/frostfs-node/notificator.go
	FrostFSNodeNotificatorCouldNotProcessObject                             = "notificator: could not process object"                                     // Error in ../node/cmd/frostfs-node/notificator.go
	FrostFSNodeNotificatorFinishedProcessingObjectNotifications             = "notificator: finished processing object notifications"                     // Debug in ../node/cmd/frostfs-node/notificator.go
	FrostFSNodeCouldNotWriteObjectNotification                              = "could not write object notification"                                       // Warn in ../node/cmd/frostfs-node/notificator.go
	FrostFSNodeCouldNotGetMaxObjectSizeValue                                = "could not get max object size value"                                       // Error in ../node/cmd/frostfs-node/object.go
	FrostFSNodeCouldNotInhumeMarkRedundantCopyAsGarbage                     = "could not inhume mark redundant copy as garbage"                           // Warn in ../node/cmd/frostfs-node/object.go
	FrostFSNodeFailedInitTracing                                            = "failed init tracing"                                                       // Error in ../node/cmd/frostfs-node/tracing.go
	FrostFSNodeFailedShutdownTracing                                        = "failed shutdown tracing"                                                   // Error in ../node/cmd/frostfs-node/tracing.go
	FrostFSNodeFailedToCreateNeoRPCClient                                   = "failed to create neo RPC client"                                           // Info in ../node/cmd/frostfs-node/morph.go
	FrostFSNodeClosingMorphComponents                                       = "closing morph components..."                                               // Info in ../node/cmd/frostfs-node/morph.go
	FrostFSNodeFailedToSetGroupSignerScopeContinueWithGlobal                = "failed to set group signer scope, continue with Global"                    // Info in ../node/cmd/frostfs-node/morph.go
	FrostFSNodeNotarySupport                                                = "notary support"                                                            // Info in ../node/cmd/frostfs-node/morph.go
	FrostFSNodeMorphcacheTTLFetchedFromNetwork                              = "morph.cache_ttl fetched from network"                                      // Debug in ../node/cmd/frostfs-node/morph.go
	FrostFSNodeNotaryDepositHasAlreadyBeenMade                              = "notary deposit has already been made"                                      // Info in ../node/cmd/frostfs-node/morph.go
	FrostFSNodeCantGetLastProcessedSideChainBlockNumber                     = "can't get last processed side chain block number"                          // Warn in ../node/cmd/frostfs-node/morph.go
	FrostFSNodeNewEpochEventFromSidechain                                   = "new epoch event from sidechain"                                            // Info in ../node/cmd/frostfs-node/morph.go
	FrostFSNodeNewBlock                                                     = "new block"                                                                 // Debug in ../node/cmd/frostfs-node/morph.go
	FrostFSNodeCantUpdatePersistentState                                    = "can't update persistent state"                                             // Warn in ../node/cmd/frostfs-node/morph.go
	FrostFSNodeCantSendRebootstrapTx                                        = "can't send re-bootstrap tx"                                                // Warn in ../node/cmd/frostfs-node/netmap.go
	FrostFSNodeCouldNotUpdateNodeStateOnNewEpoch                            = "could not update node state on new epoch"                                  // Error in ../node/cmd/frostfs-node/netmap.go
	FrostFSNodeCouldNotMakeNotaryDeposit                                    = "could not make notary deposit"                                             // Error in ../node/cmd/frostfs-node/netmap.go
	FrostFSNodeInitialNetworkState                                          = "initial network state"                                                     // Info in ../node/cmd/frostfs-node/netmap.go
	FrostFSNodeTreeServiceIsNotEnabledSkipInitialization                    = "tree service is not enabled, skip initialization"                          // Info in ../node/cmd/frostfs-node/tree.go
	FrostFSNodeCouldNotSynchronizeTreeService                               = "could not synchronize Tree Service"                                        // Error in ../node/cmd/frostfs-node/tree.go
	FrostFSNodeRemovingAllTreesForContainer                                 = "removing all trees for container"                                          // Debug in ../node/cmd/frostfs-node/tree.go
	FrostFSNodeContainerRemovalEventReceivedButTreesWerentRemoved           = "container removal event received, but trees weren't removed"               // Error in ../node/cmd/frostfs-node/tree.go
	FrostFSNodeCantListenGRPCEndpointControl                                = "can't listen gRPC endpoint (control)"                                      // Error in ../node/cmd/frostfs-node/control.go
	CommonApplicationStarted                                                = "application started"                                                       // Info in ../node/cmd/frostfs-ir/main.go
	ShardGCCollectingExpiredObjectsStarted                                  = "collecting expired objects started"
	ShardGCCollectingExpiredObjectsCompleted                                = "collecting expired objects completed"
	ShardGCCollectingExpiredLocksStarted                                    = "collecting expired locks started"
	ShardGCCollectingExpiredLocksCompleted                                  = "collecting expired locks completed"
	ShardGCRemoveGarbageStarted                                             = "garbage remove started"
	ShardGCRemoveGarbageCompleted                                           = "garbage remove completed"
	EngineShardsEvacuationFailedToCount                                     = "failed to get total objects count to evacuate"
	EngineShardsEvacuationFailedToListObjects                               = "failed to list objects to evacuate"
	EngineShardsEvacuationFailedToReadObject                                = "failed to read object to evacuate"
	EngineShardsEvacuationFailedToMoveObject                                = "failed to evacuate object to other node"
	ShardGCFailedToGetExpiredWithLinked                                     = "failed to get expired objects with linked"
	ShardDeleteCantDeleteFromWriteCache                                     = "can't delete object from write cache"
)
